---
schema_version: "1"
id: 1ff35c7807edea66ddd32820d4c26bfe910c604f36fbcc94297ae248a9ca52c7
title: GET /hub/v1/approvals-v2
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/marketing-cloud/guides/mc-apis/getApprovalItems.md
canonical_url: https://developer.salesforce.com/docs/marketing/marketing-cloud/references/mc_rest_approvals/getApprovalItems.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: bef225efe5d70854f213ee0b4736d1e228a89c3bec4c9e4f7a344470f0bb87ae
products:
  - Marketing Cloud Engagement APIs and Programmatic Languages
  - Marketing Cloud
---
# GET /hub/v1/approvals-v2

Retrieves all approval items that belong to the current user. To filter the results, use the request parameters and supported operators. For example, GET ../approvals?f[objecttype][undefined]=CMSAsset1,JobUrl1&f[objectid][undefined]=1 retrieves all approval items where Objecttype equals to CMSAsset or JobUrl AND where objectId equals 1. The response includes details of the approval and workflow items, with the current state and the transitions available for the current user’s roles. Use the GET /approvals-v2/{id} resource with available `objectType` and `objectId` values to retrieve a single approval item.

## URL Parameters

| Name               | Type   | Description                                                                                                                                                                                                                                                                                     |
| ------------------ | ------ | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `f[workflowState]` | String | The state of the workflow. Possible values: `draft`, `submitted`, `reviewed`, `returned`, `approved`, `defining`. This filter supports `eq` and `not` operators.                                                                                                                                |
| `f[workflowType]`  | String | Type of workflow. This filter supports `eq` and `not` operators.                                                                                                                                                                                                                                |
| `f[objectType]`    | String | Object type. This filter supports `eq` and `not` operators.                                                                                                                                                                                                                                     |
| `f[cmsAssetType]`  | String | Asset type. This filter supports `eq` and `not` operators.                                                                                                                                                                                                                                      |
| `f[objectId]`      | String | The ID of the object. This filter supports `gt`, `gte`, `lt`, `lte`, `eq`, and `not` operators.                                                                                                                                                                                                 |
| `f[deadline]`      | String | Deadline for approval. This filter supports `gt`, `gte`, `lt`, `lte`, `eq`, and `not` operators. For example, GET ../approvals?f[deadline][undefined]='2015-12-08T12:00Z' retrieves all approval items where the deadline is greater than or equal to 2015-12-08, with a time offset of 12:00Z. |
| `$pageSize`        | Int    | The number of records to return in each page of results.                                                                                                                                                                                                                                        |
| `$page`            | Int    | The current page number.                                                                                                                                                                                                                                                                        |
| `sort`             | String | The sorting method to apply to results. Specify a field name and a sort order (`ASC` or `DESC`). Possible field names: `Name`, `CreatedDate`, `WorkflowState`, `Deadline`.                                                                                                                      |

## Responses

| Status                       | Name                                                  | Type   | Description                                                                                   |
| ---------------------------- | ----------------------------------------------------- | ------ | --------------------------------------------------------------------------------------------- |
| **200**                      | &nbsp;                                                | &nbsp; | **Response includes a list of approval items.**                                               |
| &nbsp;                       | count                                                 | String | Number of records retrieved                                                                   |
| &nbsp;                       | page                                                  | String | Current page number                                                                           |
| &nbsp;                       | pageSize                                              | String | Number of records on each page                                                                |
| &nbsp;                       | commentCounts                                         | Object | Comment counts                                                                                |
| &nbsp;                       | commentCounts.open                                    | String | Number of comments that are open                                                              |
| &nbsp;                       | commentCounts.addressed                               | String | Number of comments that are addressed                                                         |
| &nbsp;                       | commentCounts.completed                               | String | Number of comments that are completed                                                         |
| &nbsp;                       | commentCounts.total                                   | String | Total number of comments                                                                      |
| &nbsp;                       | items                                                 | Array  | List of approval items                                                                        |
| &nbsp;                       | items.approvalItemId                                  | String | Id for approval item                                                                          |
| &nbsp;                       | items.objectType                                      | String | Object type for approval item                                                                 |
| &nbsp;                       | items.objectId                                        | String | Unique Id of the object associated with the approval item                                     |
| &nbsp;                       | items.name                                            | String | Name of the approval item                                                                     |
| &nbsp;                       | items.description                                     | String | Description of the approval item                                                              |
| &nbsp;                       | items.workflowItemId                                  | String | Id of the workflow item                                                                       |
| &nbsp;                       | items.workflowState                                   | String | Workflow state of the approval item                                                           |
| &nbsp;                       | items.workflowType                                    | String | Type of the workflow                                                                          |
| &nbsp;                       | items.workflowName                                    | String | Name of the workflow                                                                          |
| &nbsp;                       | items.deadline                                        | Array  | Deadline for the approval item                                                                |
| &nbsp;                       | items.commentCounts                                   | Object | Comment counts                                                                                |
| &nbsp;                       | items.commentCounts.open                              | String | Number of comments that are open                                                              |
| &nbsp;                       | items.commentCounts.addressed                         | String | Number of comments that are addressed                                                         |
| &nbsp;                       | items.commentCounts.completed                         | String | Number of comments that are completed                                                         |
| &nbsp;                       | items.commentCounts.total                             | String | Total number of comments                                                                      |
| &nbsp;                       | items.workflowItem                                    | Object | Workflow item object                                                                          |
| &nbsp;                       | items.workflowItem.workflowItemId                     | String | Workflow item id                                                                              |
| &nbsp;                       | items.workflowItem.workflowRound                      | String | Workflow round                                                                                |
| &nbsp;                       | items.workflowItem.type                               | String | Workflow type                                                                                 |
| &nbsp;                       | items.workflowItem.currentState                       | Object | Current state of the workflow                                                                 |
| &nbsp;                       | items.workflowItem.currentState.stateId               | String | Id of the current state                                                                       |
| &nbsp;                       | items.workflowItem.currentState.stateName             | String | Current state name                                                                            |
| &nbsp;                       | items.workflowItem.currentState.isEndState            | String | Is the current state the final state?                                                         |
| &nbsp;                       | items.workflowItem.currentState.modifiedDate          | String | Date the workflow item is modified                                                            |
| &nbsp;                       | items.workflowItem.availableTransitions               | Array  | Collection of available workflow states                                                       |
| &nbsp;                       | items.workflowItem.availableTransitions.id            | String | Id of the available workflow state                                                            |
| &nbsp;                       | items.workflowItem.availableTransitions.name          | String | Name of the available workflow state                                                          |
| &nbsp;                       | items.workflowItem.availableTransitions.isPersistable | String | Defines if the workflow item is persistable                                                   |
| &nbsp;                       | items.blocked                                         | String | Defines if emails will be sent out. If blocked = true, then emails won't be sent.             |
| &nbsp;                       | &nbsp;                                                | &nbsp; | &nbsp;                                                                                        |
| **400_OrderByInvalid**       | &nbsp;                                                | &nbsp; | **The GET request parameter - \$OrderBy is invalid and thus the request can't be processed.** |
| &nbsp;                       | message                                               | String | The GET request parameter - \$OrderBy is invalid and thus the request can't be processed.     |
| &nbsp;                       | errorcode                                             | String | Error code for the exception (10000)                                                          |
| &nbsp;                       | &nbsp;                                                | &nbsp; | &nbsp;                                                                                        |
| **400_OperatorNotSupported** | &nbsp;                                                | &nbsp; | **The operator 'neq' isn't supported.**                                                       |
| &nbsp;                       | message                                               | String | The operator 'neq' isn't supported.                                                           |
| &nbsp;                       | errorcode                                             | String | Error code for the exception (10000)                                                          |
| &nbsp;                       | &nbsp;                                                | &nbsp; | &nbsp;                                                                                        |
| **400_FilterInvalid**        | &nbsp;                                                | &nbsp; | **The GET request filter parameter is invalid and thus the request can't be processed.**      |
| &nbsp;                       | message                                               | String | The GET request filter parameter is invalid and thus the request can't be processed           |
| &nbsp;                       | errorcode                                             | String | Error code for the exception (10000)                                                          |
